Subject: Re: Google Summer of Code 2007

From: Jakub Narebski <[email-masked]>
Date: Thu, 01 Mar 2007 03:08:01 +0100

Shawn O. Pearce wrote:

> ShadeHawk and robinr brought up Google's Summer of Code on #git the
> other day.  I had also been thinking about seeing if we cannot get
> Git involved with SoC, so here goes... ;-)
> 
> The application deadline for organizations is March 12th.
> The earliest that we can submit an application is March 5th, so we
> still have time to kick ideas around and see if the community is
> interested in participating in SoC.

Well, certainly there is a number of areas to work on. This includes:
 * much talked on (and even with two different independent
   implementations) _subproject (submodule) support_, which would
   certainly help using git for large modular projects like KDE,
   Mozilla or distributions.
 * lightweight checkout aka. .gitlink idea, to have file which
   would point to object directory, refs directory, index file
   and current branch file. It could help submodule support.
 * partial/sparse checkouts, where you can checkout for example
   only Documentation directory, work on it, but commit full tree.
   Sometimes it better suits than using submodules
 * gitweb caching and other gitweb improvements: bringing together
   all gitweb implementations. Perhaps gitweb maintainer could
   come of it. Or at least gitweb admin for kernel.org
 * builtinification and libification
 * lazy clone aka remote alternates, if it can be done at all...
 
> Google's FAQ has a lot of details, but the important part which
> lists what should be included in an application can be found here:
> 
>   http://code.google.com/support/bin/answer.py?answer=60303&topic=10727
> 
> I don't know how the great SoC filter works for organizations,
> but last year's list (found at http://code.google.com/soc/) has a
> number of projects listed on it that are actively using Git for their
> version control.  It would be nice if the SoC program was able to
> benefit multiple projects in one shot, by helping to improve Git. :)

The other SCM which participated in SOC2006, Subversion and Monotone,
both are backed by organizations. Mercurial didn't participate, but has
a page with ideas for SOC2006.

If Eclipse is to participate, perhaps one of Eclipse projects could be
git plugin for Eclipse, or Java implementation of Git (perhaps with some
Java improvements :-), or perhaps some generic distributed SCM plugin
framework.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git